package lightcontainer.domains;

import lightcontainer.enumerations.TaskStatus;
import lightcontainer.enumerations.TaskType;

public class Task {
    // Variables
    private TaskStatus status;
    private String command;
    private String client;
    private String storeDomain;

    public Task(TaskStatus pending, String command, String client) {
        status = pending;
        this.command = command;
        this.client = client;
    }

    public static Task newInstance(String command, String client) {
        Task task = new Task(TaskStatus.PENDING, command, client);
        return task;
    }

    /**
     * Permet de savoir si la réponse est destinée au client
     * @param storeDomain Nom du store back end fournissant la réponse.
     * @return TRUE si le client doit recevoir cette réponse.
     */
    public boolean isResponseOfClient(String storeDomain) {
        return (this.storeDomain == storeDomain && status == TaskStatus.PENDING);
    }

    /**
     * Permet de récupérer le login du client associé à la tâche
     * @return Login du client
     */
    public String getClient() {
        return client;
    }
}
